GET /data/tasks/{task_id}/full

Return a task with many information. Includes full details for assignees, task type, and task status.

Path parameters

  • task_id string Required

Responses

  • 200 application/json

    Task with full information

    Hide response attributes Show response attributes object
    • id string(uuid)
    • name string
    • task_type_id string(uuid)
    • task_status_id string(uuid)
    • entity_id string(uuid)
    • project_id string(uuid)
    • assignees array[object]
      Hide assignees attributes Show assignees attributes object
      • id string(uuid)
      • first_name string
      • last_name string
    • task_type object
      Hide task_type attributes Show task_type attributes object
      • id string(uuid)
      • name string
    • task_status object
      Hide task_status attributes Show task_status attributes object
      • id string(uuid)
      • name string
GET /data/tasks/{task_id}/full
curl -X GET "http://api.example.com/data/tasks/a24a6ea4-ce75-4665-a070-57453082c25/full" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/tasks/a24a6ea4-ce75-4665-a070-57453082c25/full"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
curl \
 --request GET 'http://api.example.com/data/tasks/a24a6ea4-ce75-4665-a070-57453082c25/full' \
 --header "Authorization: $API_KEY"
Response examples (200)
{
  "id": "a24a6ea4-ce75-4665-a070-57453082c25",
  "name": "SH010 Animation",
  "task_type_id": "b24a6ea4-ce75-4665-a070-57453082c25",
  "task_status_id": "c24a6ea4-ce75-4665-a070-57453082c25",
  "entity_id": "d24a6ea4-ce75-4665-a070-57453082c25",
  "project_id": "e24a6ea4-ce75-4665-a070-57453082c25",
  "assignees": [
    {
      "id": "f24a6ea4-ce75-4665-a070-57453082c25",
      "first_name": "John",
      "last_name": "Doe"
    }
  ],
  "task_type": {
    "id": "b24a6ea4-ce75-4665-a070-57453082c25",
    "name": "Animation"
  },
  "task_status": {
    "id": "c24a6ea4-ce75-4665-a070-57453082c25",
    "name": "In Progress"
  }
}